binary = memleak
folder = memleak
objects = $(patsubst %.cpp,%.o,$(wildcard *.cpp))

run: $(binary)
	./$(binary) 7 100000000

$(binary): $(objects)
	g++ -o $@ $^

clean:
	rm -f *.o

clear: clean
	rm -f *.zip $(binary)

zip: clean
	zip $(folder) Makefile *.cpp *.h
